Subject: bug#23584: [25.0.94.1] paragraph forward-backward inconsistent

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 13 May 2022 15:36:08 +0200

Andreas Röhler <[email-masked]> writes:

> Put text at end of mail in html-mode. It should consist of two lines,
> contain a newline before last line. Cursor at "href=" at last
> line. M-x backward-paragraph RET jumps to BOB. While from BOB M-x
> forward-paragraph RET would stop at BOL of last-line, i.e. before
> start-pos.
>
> AFAIU cause is in sgml-mode.el
>
> Where values of (defconst sgml-name-re "[_:[:alpha:]][-_.:[:alnum:]]*")
>
> later on are included
>
>   (setq-local paragraph-start (concat "[ \t]*$\\|\
> [ \t]*</?\\(" sgml-name-re sgml-attrs-re "\\)?>"))
>   (setq-local paragraph-separate (concat paragraph-start "$"))

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I'm not quite sure I understand the recipe here, but you mention that
the HTML should be two lines -- but the included HTML text was many
lines long, so I guess it's been mangled in transmission.

To ensure that I'm looking at the same thing you're looking at, can you
resend the HTML as an attachment?

(That is, if this problem is still present in recent Emacs versions.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no